Package org.jfree.layouting.input.style

## Class UnmodifiableStyleSheetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jfree.layouting.input.style.UnmodifiableStyleSheetException

-     public class UnmodifiableStyleSheetException
      extends java.lang.RuntimeException

  Creation-Date: 01.12.2005, 20:59:34
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnmodifiableStyleSheetException​()` | Constructs a new runtime exception with `null` as its detail message.
    `UnmodifiableStyleSheetException​(java.lang.String message)` | Constructs a new runtime exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### UnmodifiableStyleSheetException

          public UnmodifiableStyleSheetException​()

      Constructs a new runtime exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### UnmodifiableStyleSheetException

          public UnmodifiableStyleSheetException​(java.lang.String message)

      Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.